# GUNDAM BREAKER 4 1.9.0
# BID: 0CC82881FF112C6D

ALL_FPS:
  # r.DynamicRes.FrameTimeBudget
  -
    type: evaluate_write
    address: [MAIN, 0x9F98D48, 0]
    value_type: float
    value: ["TruncDec(FRAMETIME_TARGET, 2)", "TruncDec(FRAMETIME_TARGET, 2)"]
  # t.MaxFPS
  -
    type: evaluate_write
    address: [MAIN, 0x9FC67E8, 0]
    value_type: float
    value: [FPS_LOCK_TARGET, FPS_LOCK_TARGET]
  # r.VSync
  -
    type: write
    address: [MAIN, 0x97CADA8, 0]
    value_type: uint32
    value: [0, 0]
  -
    type: block
    what: timing